### Method

# Gimp VectorLoadProcedure extract_dimensions

#### Declaration [src]

    gboolean
    gimp_vector_load_procedure_extract_dimensions (
      GimpVectorLoadProcedure* procedure,
      GFile* file,
      GimpVectorLoadData* data,
      GError** error
    )

#### Description [src]

Extracts native or suggested dimensions from `file`, which must be a vector file in the right format supported by `procedure`. It is considered a programming error to pass a file of invalid format.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` which can be processed by `procedure`.

  The data is owned by the caller of the method.

`data`

  Type: `GimpVectorLoadData`

  The returned dimension data.

  The argument will be set by the function.
  The returned data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if dimensions could be extracted.